%define module  evdev

Name:           python-%{module}
Version:        1.6.0
Release:        %mkrel 1
Summary:        Python bindings to the Linux input handling subsystem
Group:          Development/Python
License:        BSD
URL:            https://github.com/gvalkov/python-evdev
Source0:        https://github.com/gvalkov/python-evdev/archive/v%{version}/%{name}-%{version}.tar.gz

%description
This package provides bindings to the generic input event interface in Linux.
The evdev interface serves the purpose of passing events generated in the
kernel directly to userspace through character devices that are typically
located in /dev/input/.

This package also comes with bindings to uinput, the userspace input
subsystem. Uinput allows userspace programs to create and handle input
devices that can inject events directly into the input subsystem.

%package -n     python3-%{module}
Summary:        Python 3 bindings to the Linux input handling subsystem
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}

BuildRequires: pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{module}
This package provides bindings to the generic input event interface in Linux.
The evdev interface serves the purpose of passing events generated in the
kernel directly to userspace through character devices that are typically
located in /dev/input/.

This package also comes with bindings to uinput, the userspace input
subsystem. Uinput allows userspace programs to create and handle input
devices that can inject events directly into the input subsystem.

%prep
%autosetup -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files evdev

%files -n  python3-%{module} -f %{pyproject_files}
%doc README.rst


%changelog
* Wed Sep 07 2022 neoclust <neoclust> 1.6.0-1.mga9
+ Revision: 1884721
- New version  1.6.0

* Sat Mar 19 2022 umeabot <umeabot> 1.4.0-2.mga9
+ Revision: 1799177
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 akien <akien> 1.4.0-1.mga9
+ Revision: 1779054
- Version 1.4.0

* Tue Apr 20 2021 daviddavid <daviddavid> 1.3.0-2.mga9
+ Revision: 1717368
- rebuild for python 3.9

* Fri Oct 23 2020 akien <akien> 1.3.0-1.mga8
+ Revision: 1638862
- Version 1.3.0

* Sun Feb 16 2020 umeabot <umeabot> 1.2.0-3.mga8
+ Revision: 1532709
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 daviddavid <daviddavid> 1.2.0-2.mga8
+ Revision: 1442804
- rebuild for python3.8
- drop python2 support

* Fri Apr 26 2019 akien <akien> 1.2.0-1.mga7
+ Revision: 1395459
- Version 1.2.0

* Tue Jan 08 2019 shlomif <shlomif> 1.1.2-2.mga7
+ Revision: 1352658
- Rebuild for python3 3.7

* Wed Dec 12 2018 akien <akien> 1.1.2-1.mga7
+ Revision: 1340505
- Version 1.1.2

* Sun Sep 23 2018 umeabot <umeabot> 0.7.0-3.mga7
+ Revision: 1300476
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.7.0-2.mga7
+ Revision: 1135415
- Rebuild for python 3.6

* Mon Jul 17 2017 akien <akien> 0.7.0-1.mga7
+ Revision: 1124251
- Version 0.7.0

* Sat Oct 29 2016 akien <akien> 0.6.4-1.mga6
+ Revision: 1063993
- Version 0.6.4

* Thu Aug 11 2016 akien <akien> 0.6.1-1.mga6
+ Revision: 1045958
- Add pkgconfig(python2) and pkgconfig(python3) BRs
- imported package python-evdev

